package modelo;
// Generated 14 dic 2022 13:15:24 by Hibernate Tools 6.1.3.Final

/**
 * Linfactura generated by hbm2java
 */
public class Linfactura implements java.io.Serializable {

	private static final long serialVersionUID = 1L;
	private LinfacturaId id;
	private Articulo articulo;
	private Factura factura;
	private int cantidad;
	private float importe;

	public Linfactura() {
	}

	public Linfactura(LinfacturaId id, Articulo articulo, Factura factura, int cantidad, float importe) {
		this.id = id;
		this.articulo = articulo;
		this.factura = factura;
		this.cantidad = cantidad;
		this.importe = importe;
	}

	public LinfacturaId getId() {
		return this.id;
	}

	public void setId(LinfacturaId id) {
		this.id = id;
	}

	public Articulo getArticulo() {
		return this.articulo;
	}

	public void setArticulo(Articulo articulo) {
		this.articulo = articulo;
	}

	public Factura getFactura() {
		return this.factura;
	}

	public void setFactura(Factura factura) {
		this.factura = factura;
	}

	public int getCantidad() {
		return this.cantidad;
	}

	public void setCantidad(int cantidad) {
		this.cantidad = cantidad;
	}

	public float getImporte() {
		return this.importe;
	}

	public void setImporte(float importe) {
		this.importe = importe;
	}

	@Override
	public String toString() {
		return "Linfactura [" + id + ", factura=" + factura.getId() + ", articulo=" + articulo.getId()
				+ ", cantidad=" + cantidad + ", importe=" + importe + "]";
	}

}
